%global         pypi_name pkgconfig

Name:           python-pkgconfig
Version:        1.5.1
Release:        %mkrel 3
Group:          Development/Python
Summary:        A Python module to interface with the pkg-config command
License:        MIT
URL:            https://github.com/matze/pkgconfig
Source0:        https://github.com/matze/pkgconfig/archive/%{pypi_name}-%{version}_pypi.tar.gz
BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{pypi_name}
Summary:        A Python module to interface with the pkg-config command
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.5.1-3.mga8
+ Revision: 1531068
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 wally <wally> 1.5.1-2.mga8
+ Revision: 1438957
- rebuild for python3.8
- drop python2 support

* Sat Apr 06 2019 eatdirt <eatdirt> 1.5.1-1.mga7
+ Revision: 1386422
- Upgrade to version 1.5.1

* Wed Jan 09 2019 shlomif <shlomif> 1.4.0-2.mga7
+ Revision: 1353256
- Rebuild for python3 3.7

* Tue Oct 09 2018 eatdirt <eatdirt> 1.4.0-1.mga7
+ Revision: 1319094
- Upgrade to version 1.4.0

* Thu Sep 20 2018 umeabot <umeabot> 1.3.1-3.mga7
+ Revision: 1289671
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 eatdirt <eatdirt> 1.3.1-2.mga7
+ Revision: 1251621
- bump mkrel
- Fix missing BA:noarch to mother package
- imported package python-pkgconfig

